DB_MPOOLFILE->get_ftype()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_MPOOLFILE->get_ftype()

    #include <db.h>

    int
    DB_MPOOLFILE->get_ftype(DB_MPOOLFILE *mpf, int *ftypep);

The `DB_MPOOLFILE->get_ftype()` method returns the file type. The file type is used for the purposes of file processing, and will be the same as is set using the DB_ENV->memp_register() method.

The `DB_MPOOLFILE->get_ftype()` method may be called at any time during the life of the application.

The `DB_MPOOLFILE->get_ftype()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### ftypep

The `DB_MPOOLFILE->get_ftype()` method returns the file type in ftypep.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods, DB_MPOOLFILE->set_ftype()

Prev | Up | Next
DB_MPOOLFILE->get_flags() | Home | DB_MPOOLFILE->get_lsn_offset()